GET /api/v202405/costCategory

Retrieves all cost categories

GetCostCategoriesV202405
Use this endpoint to list all cost categories used to classify bill line item charges. Cost categories (e.g., Supply, Delivery, Taxes) are system-defined and cannot be created or deleted, only edited.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

CostCategoryResponseV202405
Property Description Type
costCategoryId The cost category identifier Required (defined) integer (int32)
costCategoryInfo Name of the cost category Required (defined) string
Example Response application/json
[
  {    "costCategoryId": 1,    "costCategoryInfo": "string"
  }
]